<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>


<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;


// Create table
global $wpdb;

// Table name
$table_name =  $wpdb->prefix . "options";
$table_name_form =  $wpdb->prefix . "crmlab_forms";


if ($_POST['URL'] AND !$_POST['editFORM'] ) {

	foreach ($_POST as $key => $value) {
		$campos.= $key.",";
	}

	$wpdb->insert( 
		$table_name_form, 
		array( 
			'campos' => $campos, 
			'name' => $_POST['name'],
			'url' => $_POST['URL'],
			'email' =>  $_POST['email'],
			'success_url' =>  $_POST['success_url']
		)
	);


}

if ($_POST['editFORM'] ) {
	foreach ($_POST as $key => $value) {
		$campos.= $key.",";
	}
	$wpdb->update( 
		$table_name_form, 
		array( 
			'campos' => $campos, 
			'name' => $_POST['name'],
			'url' => $_POST['URL'],
			'email' =>  $_POST['email'],
			'success_url' =>  $_POST['success_url']
		),
		array( 
			'id' => $_POST['editFORM']
		)
	);

}

if ($_POST['action'] == "delete") {
	$wpdb->delete( 
		$table_name_form, 
		array( 
			'id' => $_POST['idForm']
		)
	);
	die();
}




$myrows = $wpdb->get_results( "SELECT * FROM $table_name WHERE option_name = 'crmlab_options'" );



$forms = $wpdb->get_results( "SELECT * FROM $table_name_form" );

//echo  "SELECT * FROM $table_name";


$values = json_decode($myrows[0]->option_value);







?>
<div class="wrap"> 
	<h1 class="wp-heading-inline"><?php echo __( 'Generador de formularios', 'CRMLAB_FORM-domain' ); ?></h1>
	<a href="#" class="page-title-action" onclick="jQuery('.popup_form').fadeIn();jQuery('.GeneradorForm form')[0].reset();
">Añadir nuevo formulario</a>
	<br><br>

	<div class="">

		<?php
			if (!$values) {
				echo "<h2>CRMLAB NO ESTÁ CONECTADO</h2>";
				die();
			}

		?>



	<div class="listado-Forms">
		<table  class="wp-list-table widefat fixed striped ">
			<thead>
			<tr>

				<td>
					Nombre
				</td>
				<td>
					Código abreviado
				</td>
				<td>
					Campos
				</td>
				<td>
					Acciones
				</td>
			</tr>
			</thead>
			<tbody>
			<?php
			foreach ($forms as $key => $value) {
			?>
			<script type="text/javascript">
				var data_<?=$value->id?> = <?=json_encode($value)?>;
			</script>
			<tr>

				<td>
					<a class="row-title" onclick="openEditForm(<?=$value->id?>, data_<?=$value->id?>)"><?=$value->name?></a>
				</td>
				<td>
					<span class="shortcode"><input type="text" onfocus="this.select();" readonly="readonly" value="[CRMLAB FORM=<?=$value->id?>]" class="large-text code"></span>
					
				</td>
				<td>
					<?=$value->campos?>
				</td>
				<td>
					<a href="#" onclick="deleteForm(<?=$value->id?>)" >Eliminar</a>
				</td>
			</tr>
			<?php
				}
			?>
			</tbody>
			
		</table>
	</div>
	

		
	</div>
</div>



<div class="popup_form">
	<div class="header_form">

		Crear formulario

		<i class="fa fa-times" aria-hidden="true" onclick="jQuery('.popup_form').fadeOut();" ></i>
	</div>

	<div class="GeneradorForm">
		<form method="post">
			<div id="titlediv">
				<div id="titlewrap">
				<input type="text" placeholder="Introduce el título aquí" name="name" value="" size="30" id="title" spellcheck="true" autocomplete="off"></div><!-- #titlewrap -->

				<div class="inside">
				</div>
			</div>

			  <fieldset>
			    <legend >Selecciona los campos que quieres añadir al formulario </legend>
			    <label for="checkbox-1">Nombre</label>
			    <input class="ckee" type="checkbox" name="first_name" id="checkbox-1" elem="item-1" checked="checked">
			    <label for="checkbox-5">Apellidos</label>
			    <input class="ckee" type="checkbox" name="last_name" id="checkbox-5" elem="item-5" >
			    <label for="checkbox-2">Teléfono</label>
			    <input class="ckee" type="checkbox" name="telefono_crm" id="checkbox-2" elem="item-2">
			    <label for="checkbox-3">Email</label>
			    <input class="ckee" type="checkbox" name="email_crm" id="checkbox-3" elem="item-3" checked="checked" required="required">
			    <label for="checkbox-4">Consulta</label>
			    <input class="ckee" type="checkbox" name="description" id="checkbox-4" elem="item-4">
			  </fieldset>

		    <legend >Configuraciones</legend>

			  <input type="text" name="email" placeholder="Email de notificación *" required="required">
			  <input type="text" name="success_url" placeholder="URL de destino" required="required">

			  <input type="text" name="URL" placeholder="URL pág. condiciones *" required="required">

			  <input type="hidden" name="editFORM" placeholder="" >
		
			  <input type="submit" value="GUARDAR >>" name="" class="publicar">
		  </form>		
	</div>

	<div class="previewTitle">

		<i><b>PREVIEW</b></i>
		<i><small>Así se verá tu formulario</small></i>
	</div>

	<div class="preview">
		<form class="formCrmLab" action="#" method="post">
			<input  id="item-1" type="text" name="first_name" placeholder="Nombre *" required="required" >
			<input 	style="display: none"  id="item-5" type="text" name="last_name" placeholder="Apellidos *" required="required" >
			<input 	  id="item-3" type="text" name="email_crm" placeholder="Email *" required="required" >
			<input 	style="display: none"  id="item-2" type="text" name="telefono_crm" placeholder="Teléfono *" required="required" >
			<input 	style="display: none"  id="item-4" type="text" name="description" placeholder="Consulta *" required="required" >
			<input type="hidden" name="enlaces_de_seguimiento_id" id="enlaces_de_seguimiento_id" >
			<label><input type="checkbox" id="privacy" value="privacy" required=""> Acepto las condiciones legales y politica de privacidad</label>
			<input type="submit" value="Enviar >>"  >
		</form>
	</div>
		
</div>





<script type="text/javascript">
  jQuery( function() {
   jQuery( ".ckee" ).checkboxradio();
  } );

	jQuery( "input[type='checkbox']" ).change(function() {

		if (jQuery( this ).is(':checked') == true) {

			jQuery( "#"+jQuery( this ).attr("elem") ).fadeIn();

		}else{
			jQuery( "#"+jQuery( this ).attr("elem") ).fadeOut();

		}


	});



</script>