<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

wp_enqueue_script( 'CRMLAB_FORM_admin_script', CRMLAB_FORM_PLUGIN_URL . 'includes/admin/assets/js/script.js', array( 'jquery' ), CRMLAB_FORM_PLUGIN_VERSION, false );


// Create table
global $wpdb;

// Table name
$table_name =  $wpdb->prefix . "options";

$myrows = $wpdb->get_results( "SELECT * FROM $table_name WHERE option_name = 'crmlab_options'" );

//echo  "SELECT * FROM $table_name";


$values = json_decode($myrows[0]->option_value);





?>


<h1 style="text-transform: uppercase;">Conecta los formularios con crmlab  </h1>


<div class="container">


	<div class="col-md-6">

		<div class="title-top"><div class="border"></div>Accede con tu cuenta crmlab</div>


		<div class="formConnect">
			<div class="form">
				<div class="urlCRM">
					Introduce el nombre de tu CRMLAB: <input class="urlForm" type="text" id="url" placeholder="nombre">.crmlab.eu
					<br>
				</div>

				<input class="emailForm" type="text" id="user" placeholder="Usuario *">
				<input class="passForm" type="password" id="pass" placeholder="Contraseña *">
				<button class="connect" onclick="connectCRM()">ENTRAR >></button>
			</div>


			<div class="Result">

				<?php
					if ($values) {
						echo "<div class='conectado'><i class='fa fa-check-circle' aria-hidden='true'></i> ¡CRMLAB CONECTADO! </div>";


					}else{

						echo "<div class='noconectado'>CRMLAB No conectado. Por favor, introduce tu usuario y contraseña para conectar automáticamente el CRM.</div>";

					}
				?>
				<br>

			</div>



		</div>

	</div>

	<div class="col-md-6">
		<div class="title-top"><div class="border"></div>¿No tienes cuenta crmlab? 

			<a href="https://www.crmlab.es/"  class="butonRegistro" target="_blank">REgístrte ahora >></a>

		</div>


		<img class="imageTOP" src="<?=CRMLAB_FORM_PLUGIN_URL . 'assets/foto.png'?>">

	</div>




	







</div>