<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

class CRMLAB_FORMFrontEndMain
{

	/*
	* Registration of styles and scripts
	*/


	
	public function CRMLAB_FORM_register()
	{

		add_action( 'wp_enqueue_scripts', array( $this, 'CRMLAB_FORM_enqueue' ) );

 
		

	}

	public function CRMLAB_FORM_enqueue()
	{

		wp_enqueue_style( 'CRMLAB_FORM_font_awesome', CRMLAB_FORM_PLUGIN_URL . 'assets/font-awesome-4.6.3/css/font-awesome.min.css' );

		wp_enqueue_style( 'CRMLAB_FORM_style', CRMLAB_FORM_PLUGIN_URL . 'includes/frontend/assets/css/style.css', array( 'CRMLAB_FORM_font_awesome' ), CRMLAB_FORM_PLUGIN_VERSION, 'all' );

		wp_enqueue_script( 'CRMLAB_FORM_script', CRMLAB_FORM_PLUGIN_URL . 'includes/frontend/assets/js/script.js', array( 'jquery' ), CRMLAB_FORM_PLUGIN_VERSION, false );

	}




}

// Initialize
$initialize_class = new CRMLAB_FORMFrontEndMain();

// Apply scripts and styles
$initialize_class->CRMLAB_FORM_register();