<?php
/*
Plugin Name: Connect form CRMLAB
Plugin URI: http://crmlab.es/
Description: Connecta tu WP a CRMLAB en un simple click.
Author: DabaSystem
Version: 1.2
Author URI: http://dabasystem.com/
*/

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

/*
* Unique string - CRMLAB_FORM
*/

/*
* Define CRMLAB_FORM_PLUGIN_PATH
*/
if ( ! defined( 'CRMLAB_FORM_PLUGIN_PATH' ) ) {

	define( 'CRMLAB_FORM_PLUGIN_PATH', __FILE__ );

}

/*
* Define CRMLAB_FORM_PLUGIN_URL
*/
if ( ! defined( 'CRMLAB_FORM_PLUGIN_URL' ) ) {

	// Return http://my-domain.com/wp-content/plugins/wp-plugin-skeleton/
	define( 'CRMLAB_FORM_PLUGIN_URL', plugins_url( '/', __FILE__ ) );

}

/*
* Define CRMLAB_FORM_PLUGN_BASE_NAME
*/
if ( ! defined( 'CRMLAB_FORM_PLUGN_BASE_NAME' ) ) {

	// Return wp-plugin-skeleton/wp-plugin-skeleton.php
	define( 'CRMLAB_FORM_PLUGN_BASE_NAME', plugin_basename( __FILE__ ) );

}

/*
* Include the main CrmlabFormConnect class
*/
if ( ! class_exists( 'CrmlabFormConnect' ) ) {

	require_once plugin_dir_path( __FILE__ ) . 'includes/class-final-main-class.php';

	// Create new instance
	new CrmlabFormConnect();




	function generateForm($atts) {
	    // Create table
		global $wpdb;

		// Table name
		$table_name =  $wpdb->prefix . "options";
		$table_name_form =  $wpdb->prefix . "crmlab_forms";

		$forms = $wpdb->get_results( "SELECT * FROM $table_name_form WHERE id = '".$atts['form']."'" );


		$myrows = $wpdb->get_results( "SELECT * FROM $table_name WHERE option_name = 'crmlab_options'" );


		if (!$forms) {
			echo "<div>FORMULARIO NO EXISTE</div>";
		}

		if (!$myrows) {
			echo "<div>CRMLAB NO ESTÁ CONECTADO</div>";
		}


	//	print_r($myrows);

		$valuesCrmlab = json_decode($myrows[0]->option_value);


		$campos = explode(",", $forms[0]->campos);

		//print_r($forms);
		foreach ($campos as $value) {
			$placeholder = "";
			if ($value == "first_name") {
				$placeholder = "Nombre *";
			}elseif ($value == "last_name") {
				$placeholder = "Apellidos *";
			}elseif ($value == "telefono_crm") {
				$placeholder = "Teléfono *";
			}elseif ($value == "description") {
				$placeholder = "Consulta *";
			}elseif ($value == "email_crm") {
				$placeholder = "Email *";
			}else{
			}


			if ($placeholder) {
				$camposParse[$value] = $placeholder;
			}
		}

	    echo '<form class="formCrmLab" action="https://'.$valuesCrmlab->domain.'.crmlab.eu/crmlab_module/apiCrmlab/formCrm/'.$valuesCrmlab->usr.'" method="post">';
			    	foreach ($camposParse as $name => $placeholder) {
			    		echo '<input type="text" name="'.$name.'" placeholder="'.$placeholder.'" required="required" >';

			    	}

				echo '	
				<input type="hidden" name="urlReturn" id="urlReturn" value="'.$forms[0]->success_url.'">
				<input type="hidden" name="enlaces_de_seguimiento_id" id="enlaces_de_seguimiento_id" >
				<label><input type="checkbox" id="privacy" value="privacy" required=""> Acepto las <a target="_blank" href="'.$forms[0]->url.'">condiciones legales y politica de privacidad</a></label>
			<input type="submit" value="Enviar >>" >
		';

	    echo '</form>';





		     
	}




	add_shortcode( 'CRMLAB', 'generateForm' );

	/*
	* Registration hooks
	*/
	// Activation
	register_activation_hook( __FILE__, array( 'CRMLAB_FORMBasisPluginClass', 'activate' ) );

	// Deactivation
	register_deactivation_hook( __FILE__, array( 'CRMLAB_FORMBasisPluginClass', 'deactivate' ) );

	/*
	* Translate plugin
	*/
	add_action( 'plugins_loaded', 'CRMLAB_FORM_translate' );

	function CRMLAB_FORM_translate()
	{

		load_plugin_textdomain( 'CRMLAB_FORM-domain', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );

	}

}