<?php

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

final class CrmlabFormConnect
{

	/*
	* CrmlabFormConnect constructor
	*/
	public function __construct()
	{

		$this->define_constants();
		
		$this->CRMLAB_FORM_include();

	}

	/*
	* Define CRMLAB_FORM constants
	*/
	public function define_constants()
	{

		$this->CRMLAB_FORM_define( 'crmlab_forms', 'crmlab_forms' );

		// include php files
		$this->CRMLAB_FORM_define( 'CRMLAB_FORM_PLUGIN_ABS_PATH', dirname( CRMLAB_FORM_PLUGIN_PATH ) . '/' );




		// version
		$this->CRMLAB_FORM_define( 'CRMLAB_FORM_PLUGIN_VERSION', time() ); // Must be replaced before production on for example '1.0'


	}

	/*
	* Incude required core files
	*/
	public function CRMLAB_FORM_include()
	{

		// Basis functions
		require_once CRMLAB_FORM_PLUGIN_ABS_PATH . 'includes/class-basis-plugin-class.php';

		// Helpers
		require_once CRMLAB_FORM_PLUGIN_ABS_PATH . 'includes/core/helpers.php';

		// Part of the Frontend
		require_once CRMLAB_FORM_PLUGIN_ABS_PATH . 'includes/frontend/class-frontend-main.php';

		// Part of the Administrator
		require_once CRMLAB_FORM_PLUGIN_ABS_PATH . 'includes/admin/class-admin-main.php';

		/*
		* CPT class
		* If you do not need CPT, delete the line below
		*/
		require_once CRMLAB_FORM_PLUGIN_ABS_PATH . 'includes/admin/class-cpt-talk.php';

	}

	// Define function
	private function CRMLAB_FORM_define( $mame, $value )
	{

		if( ! defined( $mame ) )
		{

			define( $mame, $value );

		}

	}


}